Name:		THP-off
Version:	1.0.0
Release:	1%{?dist}
Summary:	Disable Transparent Huge Page (THP)
BuildArch:	noarch

Group:		Applications/System
License:	BSD 2-Clause
URL:		http://annyung.oops.org
Source0:	THP-off.init

%description
This program helps to turn off Redhat's THP setting at boot time.

%prep
exit 0

%build
exit 0

%install
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__install} -m 755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/THP-off 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/THP-off

%preun
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --level 35 THP-off off
fi

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --level 35 THP-off on
fi

%changelog
* Sun Jul 30 2017 JoungKyun.Kim <hostmaster@oops.org>
- first package
